Package org.bukkit.map

# Enum Class MapCursor.Type

java.lang.Object
java.lang.Enum<MapCursor.Type>
org.bukkit.map.MapCursor.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<MapCursor.Type>`, `Constable`

Enclosing class:
  MapCursor

public static enum MapCursor.Type extends Enum<MapCursor.Type>
Represents the standard types of map cursors. More may be made available by resource packs - the value is used by the client as an index in the file './misc/mapicons.png' from minecraft.jar or from a resource pack.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BANNER_BLACK`
`BANNER_BLUE`
`BANNER_BROWN`
`BANNER_CYAN`
`BANNER_GRAY`
`BANNER_GREEN`
`BANNER_LIGHT_BLUE`
`BANNER_LIGHT_GRAY`
`BANNER_LIME`
`BANNER_MAGENTA`
`BANNER_ORANGE`
`BANNER_PINK`
`BANNER_PURPLE`
`BANNER_RED`
`BANNER_WHITE`
`BANNER_YELLOW`
`BLUE_POINTER`
`GREEN_POINTER`
`MANSION`
`RED_MARKER`
`RED_POINTER`
`RED_X`
`SMALL_WHITE_CIRCLE`
`TEMPLE`
`WHITE_CIRCLE`
`WHITE_CROSS`
`WHITE_POINTER`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable MapCursor.Type`
`byValue(byte value)`
Deprecated.
Magic value
`byte`
`getValue()`
Deprecated.
Magic value
`static MapCursor.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapCursor.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WHITE_POINTER

public static final MapCursor.Type WHITE_POINTER

### GREEN_POINTER

public static final MapCursor.Type GREEN_POINTER

### RED_POINTER

public static final MapCursor.Type RED_POINTER

### BLUE_POINTER

public static final MapCursor.Type BLUE_POINTER

### WHITE_CROSS

public static final MapCursor.Type WHITE_CROSS

### RED_MARKER

public static final MapCursor.Type RED_MARKER

### WHITE_CIRCLE

public static final MapCursor.Type WHITE_CIRCLE

### SMALL_WHITE_CIRCLE

public static final MapCursor.Type SMALL_WHITE_CIRCLE

### MANSION

public static final MapCursor.Type MANSION

### TEMPLE

public static final MapCursor.Type TEMPLE

### BANNER_WHITE

public static final MapCursor.Type BANNER_WHITE

### BANNER_ORANGE

public static final MapCursor.Type BANNER_ORANGE

### BANNER_MAGENTA

public static final MapCursor.Type BANNER_MAGENTA

### BANNER_LIGHT_BLUE

public static final MapCursor.Type BANNER_LIGHT_BLUE

### BANNER_YELLOW

public static final MapCursor.Type BANNER_YELLOW

### BANNER_LIME

public static final MapCursor.Type BANNER_LIME

### BANNER_PINK

public static final MapCursor.Type BANNER_PINK

### BANNER_GRAY

public static final MapCursor.Type BANNER_GRAY

### BANNER_LIGHT_GRAY

public static final MapCursor.Type BANNER_LIGHT_GRAY

### BANNER_CYAN

public static final MapCursor.Type BANNER_CYAN

### BANNER_PURPLE

public static final MapCursor.Type BANNER_PURPLE

### BANNER_BLUE

public static final MapCursor.Type BANNER_BLUE

### BANNER_BROWN

public static final MapCursor.Type BANNER_BROWN

### BANNER_GREEN

public static final MapCursor.Type BANNER_GREEN

### BANNER_RED

public static final MapCursor.Type BANNER_RED

### BANNER_BLACK

public static final MapCursor.Type BANNER_BLACK

### RED_X

public static final MapCursor.Type RED_X

## Method Details

### values

public static MapCursor.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MapCursor.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

@Deprecated public byte getValue()
Deprecated.
Magic value
Gets the internal value of the cursor.

Returns:
  the value

### byValue

@Deprecated @Nullable public static @Nullable MapCursor.Type byValue(byte value)
Deprecated.
Magic value
Get a cursor by its internal value.

Parameters:
  `value` - the value
Returns:
  the matching type